import request from '@/utils/request'

/**
 * Dashboard分页
 * @param filtering {} 筛选维度
 * @param startDate 开始日期
 * @param endDate 结束日期
 * @param mediaCode 媒体
 * @param source 数据来源*
 * @param appName 应用名称*
 * @param appPackageName 应用包名*
 * @param customerType 客户类型
 * @param customerArea 客户区域
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param groupBy {} 聚合维度
 * @param dateInt 日期聚合
 * @param mediaCode 媒体聚合
 * @param customerArea 客户区域
 * @param customerType 客户类型
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param corporationName 资质主体名称*
 * @param firstIndustryName 一级行业*
 * @param secondIndustryName	二级行业*
 * @param source 数据来源*
 * @param sortBy 排序字段
 * @param pageNo 搜索页码
 * @param pageSize 一页显示的数据条数
 */
 export function planPage(data) {
   return request({
     url: '/ops/report/plan/page',
     method: 'POST',
     data
   })
 }
 /**
 * Dashboard导出
 * @param filtering {} 筛选维度
 * @param startDate 开始日期
 * @param endDate 结束日期
 * @param mediaCode 媒体
 * @param source 数据来源*
 * @param appName 应用名称*
 * @param appPackageName 应用包名*
 * @param customerType 客户类型
 * @param customerArea 客户区域
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param groupBy {} 聚合维度
 * @param dateInt 日期聚合
 * @param mediaCode 媒体聚合
 * @param customerArea 客户区域
 * @param customerType 客户类型
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param corporationName 资质主体名称*
 * @param firstIndustryName 一级行业*
 * @param secondIndustryName	二级行业*
 * @param source 数据来源*
 * @param sortBy 排序字段
 */
  export function planExport(data) {
    return request({
      url: '/ops/report/plan/export',
      method: 'POST',
      data,
      responseType: 'arraybuffer'
    })
  }